/* Copyright (C) 2014 Dan Chapman <dpniel@ubuntu.com>

   This file is part of Dekko email client for Ubuntu Devices/

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.0
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItem
import U1db 1.0 as U1db
import TrojitaCore 0.1
import DekkoCore 0.1
import "../Composer"

//TODO: at the moment this only supports a single identityDocument
// needs expanding to work with an arbitrary amount of identities

Page {
    id: senderIdentities
    title: i18n.tr("Sender Identities")
    flickable: null

    property Account account
//    property bool identityValid: identityInput.nameField && identityInput.emailField

//    function loadIdentity() {
//        identityInput.nameField = account.identityName
//        identityInput.emailField = account.identityAddress
//        identityInput.organizationField = account.identityOrg
//        identityInput.signatureField = account.identitySignature
//    }

//    function saveIdentity() {
//        console.log("[LOG] Saving sender identity......")
//        account.identityName = identityInput.nameField
//        account.identityAddress = identityInput.emailField
//        account.identityOrg = identityInput.organizationField
//        account.identitySignature = identityInput.signatureField
//        console.log("[LOG] Identity saved successfully")
//    }
    SenderIdentitiesList {
        id: identityInput
        anchors.fill: parent
    }
//    Component.onCompleted: loadIdentity()
}
