/* Copyright (C) 2014 Dan Chapman <dpniel@ubuntu.com>

   This file is part of Dekko email client for Ubuntu Devices/

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import QtQuick 2.2
import Ubuntu.Components.ListItems 1.0 as ListItem
Column {
    id: column
    width: parent.width
    spacing: units.gu(1)
    //Adding mimetype is implemented at the end of PartWidgetFactory::newSimplePartWidget now
    function addMimeType(item, type) {
        item.parent = column;
    }
    function setDisplayedMessageType(idx) {
        oneMessagePage.head.sections.selectedIndex = idx;
    }
}
