#ifndef MAILCONFIGUTILS_H
#define MAILCONFIGUTILS_H
#include "MailConfig.h"
#include "MailConfigFromAutoconfig.h"
namespace Dekko
{

class MailConfigUtils : public QObject {
    Q_OBJECT
public:
    MailConfigUtils();
    ~MailConfigUtils();
    Q_INVOKABLE void config(QString mailAddress);

signals:
    void complete(MailConfig * config);
    void failed();

private:
    MailConfigFromAutoconfig * m_mailConfigFromAutoconfig;
    MailConfigFromAutoconfig * m_mailConfigFromAutoconfigWellKnown;
    MailConfigFromAutoconfig * m_mailConfigFromAutoconfigISPDB;
};

}
#endif // MAILCONFIGUTILS_H
